package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.leavetypes.*;
import com.engine.kq.service.KQLeaveTypesService;
import weaver.hrm.User;

import java.util.Map;

/**
 * @Auther: Administrator
 * @Date: 2019-03-12 11:11
 * @Description:
 */
public class KQLeaveTypesServiceImpl extends Service implements KQLeaveTypesService {

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchConditionCmd(params, user));
    }

    @Override
    public Map<String, Object> getSearchList(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSearchListCmd(params, user));
    }

    @Override
    public Map<String, Object> getLeaveTypesForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetLeaveTypesFormCmd(params, user));
    }

    @Override
    public Map<String, Object> addLeaveTypes(Map<String, Object> params, User user) {
        return commandExecutor.execute(new AddLeaveTypesCmd(params, user));
    }

    @Override
    public Map<String, Object> editLeaveTypes(Map<String, Object> params, User user) {
        return commandExecutor.execute(new EditLeaveTypesCmd(params, user));
    }

    @Override
    public Map<String, Object> deleteLeaveTypes(Map<String, Object> params, User user) {
        return commandExecutor.execute(new DeleteLeaveTypesCmd(params, user));
    }

    @Override
    public Map<String, Object> isNameRepeat(Map<String, Object> params, User user) {
        return commandExecutor.execute(new IsNameRepeatCmd(params, user));
    }

    @Override
    public Map<String, Object> saveDisableLeaveTypes(Map<String, Object> params, User user) {
        return commandExecutor.execute(new SaveDisableLeaveTypesCmd(params, user));
    }

  @Override
  public Map<String, Object> getTimeSelectionForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetTimeSelectionFormCmd(params, user));
  }

  @Override
  public Map<String, Object> saveTimeSelectionForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveTimeSelectionFormCmd(params, user));
  }
}
